Bug 204911 - automount daemon fails on startup
automount daemon fails on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 06:17 EDT by Kostyantyn Shchekotykhin
Modified: 2008-08-02 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostyantyn Shchekotykhin 2006-09-01 06:17:26 EDT
Just after installation of FC6test2 it was running, but after i have updated to
the recent version it fails.

/var/log/messages

Sep  1 12:08:09 machine automount[4227]: Starting automounter version
5.0.1-0.rc1.17, master map auto.master
Sep  1 12:08:09 machine automount[4227]: syntax error in nsswitch config near [
no opening bracket ]
Sep  1 12:08:09 machine automount[4227]: lookup_nss_read_master: can't to read
name service switch config.
Sep  1 12:08:09 machine automount[4227]: master_read_master: can't read master
map auto.master

/etc/nsswitch.conf 

passwd:     files winbind

shadow:     files
group:      files winbind

#hosts:     db files nisplus nis dns
hosts:      files dns
networks:   files dns

# Example - obey only what nisplus tells us...
#services:   nisplus [NOTFOUND=return] files
#networks:   nisplus [NOTFOUND=return] files
#protocols:  nisplus [NOTFOUND=return] files
#rpc:        nisplus [NOTFOUND=return] files
#ethers:     nisplus [NOTFOUND=return] files
#netmasks:   nisplus [NOTFOUND=return] files

bootparams: nisplus [NOTFOUND=return] files

ethers:     files
netmasks:   files
networks:   files
protocols:  files winbind
rpc:        files
services:   files winbind

netgroup:   files winbind

publickey:  nisplus

automount:  files winbind
aliases:    files nisplus
Comment 1 Ian Kent 2006-09-01 09:14:47 EDT
(In reply to comment #0)
> 
> automount:  files winbind

winbind is not a valid automount map source.
Remove it.

Ian

Comment 2 Kostyantyn Shchekotykhin 2006-09-01 10:01:00 EDT
Thanks, it starts now.  It was in the default version of nsswitch.conf. Maybe
developers can remove winbind from default configuration?
Now It doesn't mounts anything, but this is the other problem...
Comment 3 Ian Kent 2006-09-01 10:20:46 EDT
(In reply to comment #2)
> Thanks, it starts now.  It was in the default version of nsswitch.conf. Maybe
> developers can remove winbind from default configuration?
> Now It doesn't mounts anything, but this is the other problem...

Yes and that message needs to be clearer.

It must be one of the samba packages that does that. I'll
check and see what I can find out.

Ian

Comment 4 Kostyantyn Shchekotykhin 2006-09-05 06:45:43 EDT
I have tested a bit and discovered that automounting doesn't work only if
winbind authentificated user is logged in. All local users can use results of
autofs.

Any suggestions?

Kostya
Comment 5 Jeffrey Moyer 2006-09-06 15:42:48 EDT
Nalin, see comment #4.  Does that make any sense to you?
Comment 6 Ian Kent 2006-09-08 05:49:01 EDT
(In reply to comment #3)
> It must be one of the samba packages that does that. I'll
> check and see what I can find out.

I've checked the Samba packages and as far as I can see
the nsswitch.conf is not modified by their install.
nsswitch.conf must have changed manually at some point.

Ian
Comment 7 Ian Kent 2007-03-14 06:54:06 EDT
(In reply to comment #6)
> (In reply to comment #3)
> > It must be one of the samba packages that does that. I'll
> > check and see what I can find out.
> 
> I've checked the Samba packages and as far as I can see
> the nsswitch.conf is not modified by their install.
> nsswitch.conf must have changed manually at some point.

Sorry this bug has slipped through the cracks but I think
it was resolved some time ago.

The "winbind" source in nsswitch.conf has been ignored
by autofs since revision 0.rc3.6. Can you check if this
is still a problem please.

Ian
Comment 8 Matthew Miller 2007-04-06 15:45:54 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 9 Bug Zapper 2008-04-03 23:38:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 12:17:09 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.